# $Revision: 1.23 $, $Date: 2006/02/04 00:16:10 $
#
# TODO:
# - remove all MIBs from scotty and add fix for use MIBs from
#   /usr/share/mibs from libsmi (scotty depends on libsmi).
# - move tkined to separate subpackage
# - add icon for tkined
#
%define	snap		00-02-21
%define	snapdate	20000221
%define	tkined_version	1.5.0
Summary:	Tcl extension to build network management applications using Tcl (and Tk)
Summary(pl):	Rozszerzenie Tcl do budowania aplikacji zarzdzajcych sieci
Name:		scotty
Version:	3.0.0
Release:	0.%{snapdate}.6
License:	Free
Group:		Applications/Networking
Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/tkined/devel/%{name}-%{snap}.tar.gz
# Source0-md5:	ca39ecfaa32f3c5defa81974e8d9ebe2
#Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/tkined/%{name}-%{version}.tar.gz
Source1:	tkined.desktop
Patch0:		%{name}-configure.patch
Patch1:		%{name}-install.patch
Patch2:		%{name}-preamble_scripts_fixes.patch
Patch3:		%{name}-no_libnsl.patch
Patch4:		%{name}-do_not_check_tcl_tk_version.patch
Patch5:		%{name}-tcl8.4.patch
URL:		http://wwwsnmp.cs.utwente.nl/~schoenw/scotty/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.2
BuildRequires:	tk-devel >= 8.2
BuildRequires:	libsmi-devel >= 0.2.1
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
Scotty is a Tcl extension to build network management applications
using Tcl (and Tk). The scotty extension provides new Tcl commands to
- send and receive ICMP packets
- query the Domain Name System (DNS)
- access UDP sockets from Tcl
- probe and use some selected SUN RPCs
- retrieve and serve documents via HTTP
- send and reveice SNMP messages (SNMPv1, SNMPv2C, SNMPv3)
- write special purpose SNMP agents in Tcl
- parse and access SNMP MIB definitions
- schedule jobs that are to be done regularly
- realize event driven programming on network maps

This scotty distributions also includes the sources for Tkined. Tkined
is a network editor which allows to draw maps showing your network
configuration. The most important feature of Tkined is its programming
interface which allows network management applications to extend the
capabilities of Tkined. Most applications for Tkined are written using
the Tnm Tcl extension.

%description -l pl
Scotty jest rozszerzeniem Tcl do budowania aplikacji do zarzdzania
sieci przy uyciu Tcl (i Tk). Scotty udostpnia nowe polecenia Tcl
do:
- wysyania i odbierania pakietw ICMP
- odpytywania DNS
- dostpu do gniazdek UDP
- testowania i uywania niektrych Sun RPC
- cigania i serwowania dokumentw po HTTP
- wysyania i odbierania komunikatw SNMP (v1, v2C, v3)
- pisania agentw SNMP
- parsowania i dostpu do definicji SNMP MIB
- kolejkowania zada do regularnego wykonywania
- realizacji programowania sterowanego zdarzeniami na mapach
  sieciowych

Ta dystrybucja Scotty zawiera take rda Tkined. Jest to sieciowy
edytor pozwalajcy rysowa mapy obrazujce konfiguracj sieci.
Najwaniejsz cech Tkined jest programistyczny interfejs pozwalajcy
aplikacjom zarzdzajcym sieci rozszerza jego moliwoci. Wikszo
aplikacji dla Tkined jest pisana przy uyciu rozszerzenia Tnm dla Tcl.

%prep
%setup -q -n %{name}-%{snap}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0

%build
cd unix
%{__autoconf}
%configure
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} -C unix install sinstall \
	DESTDIR=$RPM_BUILD_ROOT \
	LIB_RUNTIME_DIR=$RPM_BUILD_ROOT%{_libdir}

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/scotty
#!/bin/sh
TCLLIBPATH="%{_libdir}/tnm%{version} \$TCLLIBPATH"
export TCLLIBPATH
%{_bindir}/scotty%{version}
EOF

ln -sf tkined%{tkined_version} $RPM_BUILD_ROOT%{_bindir}/tkined

%{__perl} -pi -e "s|$RPM_BUILD_ROOT||g" \
	$RPM_BUILD_ROOT%{_libdir}/{tkined%{tkined_version},tnm%{version}}/pkgIndex.tcl

rm -f $RPM_BUILD_ROOT%{_mandir}/mann/http.n
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/tkined%{tkined_version}/apps
echo auto_mkindex . library.tcl | %{_bindir}/tclsh

%preun
rm -f %{_libdir}/tkined%{tkined_version}/apps/tclIndex

%files
%defattr(644,root,root,755)
%doc README license.terms
%attr(755,root,root) %{_bindir}/scotty*
%attr(755,root,root) %{_bindir}/tkined*
%attr(4755,root,root) %{_bindir}/nmicmpd
%attr(4755,root,root) %{_bindir}/nmtrapd
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_ulibdir}/tkined%{tkined_version}
%attr(755,root,root) %{_ulibdir}/tnm%{version}
%{_desktopdir}/*.desktop
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%{_mandir}/mann/*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scotty.spec,v $
Revision 1.23  2006/02/04 00:16:10  baggins
- release 6
- fix unknown symbol in tcl >= 8,4

Revision 1.22  2004/10/31 17:23:11  paladine
- spaces->tabs
- formatting

Revision 1.21  2004/10/17 17:36:11  adamg
- small typo

Revision 1.20  2004/04/07 23:15:02  qboosh
- fixed build, switched to vfolders; release .5 for Ac

Revision 1.19  2003/11/05 14:06:26  qboosh
- added Source0 URL

Revision 1.18  2003/09/13 18:19:09  blues
- some cleanups

Revision 1.17  2003/09/12 23:07:56  blues
- release 4

Revision 1.16  2003/05/28 13:01:49  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:26:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/10 10:17:42  blues
- release 3 - added desktop for tkined, few TODO added

Revision 1.13  2002/10/09 08:31:20  qboosh
- BR: automake

Revision 1.12  2002/09/22 16:59:29  kloczek
- relese *.2,
- fix http://bugs.pld.org.pl/index.php?bug=336: added preamble_scripts_fixes
  (use directly in all scripts preamble #!/usr/bin/{wish,tclsh}) and
  do_not_check_tcl_tk_version (remove checking tcl/tk version),
- added no_libnsl patch.
TODO: remove all MIBs from scotty and add fix for use MIBs from /usr/share/mibs
from libsmi (scotty depends on libsmi).

Revision 1.11  2002/08/30 10:56:54  kloczek
- use new %doc.

Revision 1.10  2002/05/21 23:14:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:14:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/11 14:10:45  qboosh
- BuildRequires: autoconf

Revision 1.5  2001/10/03 07:44:27  qboosh
- pl translations, noted Source URL

Revision 1.4  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2000/10/20 15:01:18  baggins
- updated to latest 3.0.0 snapshot

Revision 1.2  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/04/10 16:08:46  baggins
- PLD compliant
